all          : nice_vms.c scan_vms.c nice_tp.c scan_tp.c nice_std.c scan_std.c

#
#  NICE_VMS  (author: Arne Vajhj / july 1994)
#

nice_vms.c   : nice_vms.y
                  bison/output=nice_vms.c/define nice_vms.y
                  define/user sys$input sys$command
                  edit/tpu/comm=shorten.tpu nice_vms.c

nice_vms.y   : nice.hd nice.cpp nice.trl
                  copy nice.hd nice_vms.y
                  mcr gnu_cc:[000000]gcc-cpp.exe nice.cpp z.z "-Uturbo" "-Uobject" "-Dvms" "-P" "-C"
                  append z.z nice_vms.y
                  delete z.z;*
                  append nice.trl nice_vms.y

scan_vms.c   : scan.l
                  flex -i8 "-Cem" scan.l
                  rename lexyy.c scan_vms.c

#
#  NICE_TP  (author: Arne Vajhj / july 1994)
#

nice_tp.c    : nice_tp.y
                  bison/output=nice_tp.c/define nice_tp.y
                  define/user sys$input sys$command
                  edit/tpu/comm=shorten.tpu nice_tp.c

nice_tp.y    : nice.hd nice.cpp nice.trl
                  copy nice.hd nice_tp.y
                  mcr gnu_cc:[000000]gcc-cpp.exe nice.cpp z.z "-Dtp" "-Dobject" "-Uvms" "-P" "-C"
                  append z.z nice_tp.y
                  delete z.z;*
                  append nice.trl nice_tp.y

scan_tp.c    : scan.l
                  define/user sys$input sys$command
                  edit/tpu/comm=nodollar.tpu/outp=tmp.l scan.l
                  flex -i8 "-Cem" tmp.l
                  delete tmp.l;*
                  rename lexyy.c scan_tp.c


#
#  NICE_STD  (author: Arne Vajhj / july 1994)
#

nice_std.c   : nice_std.y
                  bison/output=nice_std.c/define nice_std.y
                  define/user sys$input sys$command
                  edit/tpu/comm=shorten.tpu nice_std.c

nice_std.y   : nice.hd nice.cpp nice.trl
                  copy nice.hd nice_std.y
                  mcr gnu_cc:[000000]gcc-cpp.exe nice.cpp z.z "-Utp" "-Uobject" "-Uvms" "-P" "-C"
                  append z.z nice_std.y
                  delete z.z;*
                  append nice.trl nice_std.y

scan_std.c   : scan.l
                  define/user sys$input sys$command
                  edit/tpu/comm=nodollar.tpu/outp=tmp.l scan.l
                  flex -i8 "-Cem" tmp.l
                  delete tmp.l;*
                  rename lexyy.c scan_std.c

